# SeaCMS/composer-plugin

_Lire ce fichier en [Français](./LISEZMOI.md)_

Composer plugin for [SeaCMS](https://git.defis.info/SeaCMS/seacms).

## Authors

  - [Jérémy Dufraisse](https://github.com/J9rem) (2023)
  - [Association Defis](https://www.defis.info/) (2023)

## Licence and warranty

See [LICENCE](./LICENCE) file (and french translation [LICENCE_FR](./LICENCE_FR))

**IMPORTANT**: LICENCE file does not cover content of folders `vendor`. See dedicated LICENCE file for each subfolder concerning the imported library.

## Installation

If you are using SeaCMS via `composer`, this package will be automatically used if needed.

To install in a theme, use `composer require seacms/composer-plugin`.
As this package is not already published on <https://packagist.org/>, you should add in the `composer.json` file of the head repository project these lines :
```json
    "repositories": [
        {
            "type": "vcs",
            "url": "https://git.defis.info/SeaCMS/composer-plugin"
        }
    ]
```

